Get Agent

Get Agent
Get all attributes for a Usage Meter agent.

Get all attributes for a Usage Meter agent.

Request
URI
GET
https://eapi.broadcom.com/vcf/ums/api/v2/{tenantId}/agents/{agentId}
COPY
Path Parameters
string
tenantId
Required  

used to specify the ID of the tenant

string
agentId
Required  

the ID of the agent


Authentication
This operation uses the following authentication methods.
Responses
200

the latest attributes for the agent

Returns UsageMeteringAgent of type(s) application/json
{
    "agentId": "string",
    "label": "string",
    "modifiedAt": "string",
    "version": "string",
    "effectiveFrom": "string",
    "changedBy": "string",
    "agentSequence": 0,
    "tenantId": "string",
    "deleted": false
}
string As uuid As uuid
agentId
Required  

agentId

string
label
Required  
Constraints: minLength: 1 maxLength: 512

human-readable label of the agent

string As date-time As date-time
modifiedAt
Required  

when was the record modified

string
version
Required  

the Version of the agent

string As date-time As date-time
effectiveFrom
Required  

when will the settings take effect

string
changedBy
Required  

the name of the account that did the change

integer As int64 As int64
agentSequence
Required  

agentSequence

string As uuid As uuid
tenantId
Required  

tenantId

boolean
deleted
Required  

deleted


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/vcf/ums/api/v2/{tenantId}/agents/{agentId}